<?xml version='1.0' encoding='UTF-8'?>
<faces-config version="2.1"
              xmlns="http://java.sun.com/xml/ns/javaee"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xmlns:cdk="http://jboss.org/schema/richfaces/cdk/extensions"
              xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_2_1.xsd">
    <application>
        <locale-config>
            <default-locale>en</default-locale>
            <supported-locale>en</supported-locale>
            <supported-locale>fr</supported-locale>
        </locale-config>
    </application>
    <render-kit>
        <renderer>
            <description>Rich inplace input</description>
            <component-family>org.richfaces.InplaceInput</component-family>
            <renderer-type>org.richfaces.InplaceInputRenderer</renderer-type>
            <renderer-class>net.ihe.gazelle.common.bootstrapComponent.InplaceInputRenderer</renderer-class>
        </renderer>
        <renderer>
            <description>DataScroller uses twitter bootstrap modal panel</description>
            <component-family>org.richfaces.DataScroller</component-family>
            <renderer-type>org.richfaces.DataScrollerRenderer</renderer-type>
            <renderer-class>net.ihe.gazelle.common.bootstrapComponent.DataScroller</renderer-class>
        </renderer>
        <renderer>
            <description>Rich input number spinner</description>
            <component-family>javax.faces.Input</component-family>
            <renderer-type>org.richfaces.InputNumberSpinnerRenderer</renderer-type>
            <renderer-class>net.ihe.gazelle.common.bootstrapComponent.InputNumberSpinnerRenderer</renderer-class>
        </renderer>
        <renderer>
            <description>Rich Calendar</description>
            <component-family>org.richfaces.Calendar</component-family>
            <renderer-type>org.richfaces.CalendarRenderer</renderer-type>
            <renderer-class>net.ihe.gazelle.common.bootstrapComponent.CalendarRenderer</renderer-class>
        </renderer>
        <renderer>
            <component-family>javax.faces.Messages</component-family>
            <renderer-type>org.richfaces.MessagesRenderer</renderer-type>
            <renderer-class>net.ihe.gazelle.common.bootstrapComponent.HtmlMessagesRenderer</renderer-class>
            <renderer-extension>
                <cdk:renders-children>false</cdk:renders-children>
            </renderer-extension>
        </renderer>
    </render-kit>
    <!-- Font iText Component -->
    <component>
        <component-type>net.ihe.gazelle.common.tag.PDFFont</component-type>
        <component-class>net.ihe.gazelle.common.tag.PDFFont</component-class>
    </component>
    <component>
        <component-type>org.jboss.seam.pdf.ui.GazellePDFDocument</component-type>
        <component-class>org.jboss.seam.pdf.ui.GazellePDFDocument</component-class>
    </component>
    <component>
        <component-type>gazelle-link</component-type>
        <component-class>net.ihe.gazelle.common.tag.LinkComponent</component-class>
    </component>
    <component>
        <component-type>gazelle-imagelink</component-type>
        <component-class>net.ihe.gazelle.common.tag.ImageLinkComponent</component-class>
    </component>
    <component>
        <component-type>gazelle-date</component-type>
        <component-class>net.ihe.gazelle.common.tag.DateComponent</component-class>
    </component>
    <component>
        <component-type>gazelle-safehtml</component-type>
        <component-class>net.ihe.gazelle.common.tag.SafeHtmlComponent</component-class>
    </component>
</faces-config>
